Description

consider this

/**/  ["asdkjhakjhdglkajhgfljhalkjghaljhglajhdfsg",1/0];

ERROR: Division by zero or by a zero-divisor

... jhakjhdglkajhgfljhalkjghaljhglajhdfsg",1/0];

                                            ^

after this error all input is coloured as inside a string.

History

#1 - 29 May 2014 16:39 - Anna Maria Bigatti

maybe error messages should be printed

--> ERROR: Division by zero or by a zero-divisor

--> ... jhakjhdglkajhgfljhalkjghaljhglajhdfsg",1/0];

-->                                             ^

?

I like that, and it will be all printed in red!

#2 - 29 May 2014 17:09 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Let's try the proposal.  As it is a "trick", it should be well documented.

#3 - 29 May 2014 17:11 - Anna Maria Bigatti

first step done (in Lexer.C)

#4 - 30 May 2014 09:16 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 90
Easy when you know where, more difficult to find where.

Done.

I had to change ErrorReporter::ErrorPrefix("--> ERROR: "), and

void outputUnderlinedLine(ostream &out, intrusive_ptr<const Line> line, size_t from, size_t to)

in Lexer.C

I think that's all needed.

#5 - 02 Jul 2014 16:11 - Anna Maria Bigatti

- Subject changed from emacs: coloured syntax in output buffer has problems if error message shows a single double-quote to Emacs UI: coloured

syntax in output buffer has problems if error message shows a single double-quote

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No comments so another quick check and ... closing!
